<?php

// phpcs:ignoreFile

/**
 * @file
 * Drupal configuration file.
 */

/**
 * Location of the site configuration files.
 */
$settings['config_sync_directory'] = '../config/sync';
$settings['config_exclude_modules'] = ['devel', 'stage_file_proxy', 'environment_indicator_ui'];

/**
 * Salt for one-time login links, cancel links, form tokens, etc.
 */
$settings['hash_salt'] = '';

/**
 * Access control for update.php script.
 */
$settings['update_free_access'] = FALSE;

/**
 * Default mode for directories and files written by Drupal.
 *
 * Value should be in PHP Octal Notation, with leading zero.
 */
$settings['file_chmod_directory'] = 0775;
$settings['file_chmod_file'] = 0664;

/**
 * Public file path:
 */
$settings['file_public_path'] = 'sites/default/files';

/**
 * Private file path:
 */
$settings['file_private_path'] = '../private-files';

/**
 * Temporary file path:
 */
$settings['file_temp_path'] = '/tmp';

/**
 * A custom theme for the offline page.
 */
$settings['maintenance_theme'] = 'adminimal_theme';

/**
 * Configuration overrides.
 */
$config['user.settings']['anonymous'] = 'Visitor';

/**
 * Load services definition file.
 */
$settings['container_yamls'][] = $app_root . '/' . $site_path . '/services.yml';

/**
 * Trusted host configuration.
 */
$settings['trusted_host_patterns'] = [];

/**
 * The default list of directories that will be ignored by Drupal's file API.
 */
$settings['file_scan_ignore_directories'] = [
  'node_modules',
  'bower_components',
];

/**
 * The default number of entities to update in a batch process.
 */
$settings['entity_update_batch_size'] = 50;

/**
 * Entity update backup.
 */
$settings['entity_update_backup'] = TRUE;

/**
 * Load local development override configuration, if available.
 */
if (file_exists($app_root . '/' . $site_path . '/settings.local.php')) {
  include $app_root . '/' . $site_path . '/settings.local.php';
}
